> ## Documentation Index
> Fetch the complete documentation index at: https://developer.rollfi.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# getTimeOffPolicyAssignments

> The `getTimeOffPolicyAssignments ` API retrieves time off assignments filtered by company and employee

### Uses

1. Retrieve time off assignments by company to see which employees are assgigned to which PTO policies
2. Retrieve an individual employee's PTO assignments

### Note:

- Useful if you do not have access to the timeOffPolicyId or an employee is a member of multiple timeOffPolicies



## OpenAPI

````yaml get /reports/getTimeOffPolicyAssignments
openapi: 3.0.1
info:
  title: Default module
  description: ''
  version: 1.0.0
servers: []
security:
  - basic: []
tags: []
paths:
  /reports/getTimeOffPolicyAssignments:
    get:
      tags: []
      summary: getTimeOffPolicyAssignments
      description: >-
        The `getTimeOffPolicyAssignments ` API retrieves time off assignments
        filtered by company and employee


        ### Uses


        1. Retrieve time off assignments by company to see which employees are
        assgigned to which PTO policies

        2. Retrieve an individual employee's PTO assignments


        ### Note:


        - Useful if you do not have access to the timeOffPolicyId or an employee
        is a member of multiple timeOffPolicies
      parameters: []
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                method:
                  type: string
                companyId:
                  type: string
                employeeId:
                  type: string
              required:
                - method
                - companyId
            example:
              method: getTimeOffPolicyAssignments
              companyId: 21DA3F1A-E593-42EE-95F5-A22EDF6382F0
              employeeId: 1755E872-9092-4ECE-8386-860531D492D3
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  timeOffPolicyAssignments:
                    type: array
                    items:
                      type: object
                      properties:
                        employeeId:
                          type: string
                        timeOffPolicyAssignmentId:
                          type: string
                        timeOffPolicyId:
                          type: string
                        effectiveStartDate:
                          type: string
                        effectiveEndDate:
                          type: string
                      required:
                        - employeeId
                        - timeOffPolicyAssignmentId
                        - timeOffPolicyId
                        - effectiveStartDate
                        - effectiveEndDate
                required:
                  - timeOffPolicyAssignments
              example:
                timeOffPolicyAssignments:
                  - employeeId: 1755E872-9092-4ECE-8386-860531D492D3
                    timeOffPolicyAssignmentId: FB76A153-8358-4C2C-AD5A-60771C69EAD8
                    timeOffPolicyId: 1BD5AB2B-AEEC-46CD-A93B-D1A68FB90C3A
                    effectiveStartDate: '2025-10-01'
                    effectiveEndDate: '2026-11-01'
          headers: {}
        '400':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: object
                    properties:
                      code:
                        type: integer
                      message:
                        type: string
                    required:
                      - code
                      - message
                required:
                  - error
              example:
                error:
                  code: 400
                  message: Invalid companyId. Company not found.
          headers: {}
      deprecated: false
      security:
        - basic: []
components:
  securitySchemes:
    basic:
      type: http
      scheme: basic

````